import requests
from BeautifulSoup import BeautifulSoup
from selenium import webdriver

url = 'https://www.smule.com/sudnitsina/followers'
res = requests.get(url)
soup = BeautifulSoup(res.content.decode('utf-8'))
followers = [i.contents[0] for i in soup.find('div', 'profile-content-block').findAll('a')]

url = 'https://www.smule.com/sudnitsina/following'
res = requests.get(url)
soup = BeautifulSoup(res.content.decode('utf-8'))
following = [i.contents[0] for i in soup.find('div', 'profile-content-block').findAll('a')]

my_list = list(filter(lambda x: x not in followers, following))

driver = webdriver.Chrome()
for i in my_list:
    driver.get("https://www.smule.com/"+i)
    raw_input(i)
#print my_list
